#ifndef CHESS_GFX_H
#define CHESS_GFX_H
#include "board.h"

extern int getLastMove();
extern void resetLastMove();
extern void init_gfx();
extern void fill_board(const board_t * board, const bool black);
extern void drawCapturedPieces(const int* pieces, const int count, const bool black);
extern bool waitT(board_t * board, const bool black);
extern void showMove(int move, const bool black);
extern void hideMove();
extern void highlightField(const int posi, const bool suggest, const bool black);
extern void init_board(const bool isblack);
extern int drawBoxYesNo (int x1, int y1, int x2, int y2, const char *head, const char *str);
#endif // !defined HASH_H

