// posix.cpp

// includes
#include <nds.h>
#include <cerrno>
#include <cstdio> // REMOVE ME?
#include <cstdlib>
#include <cstring>

#include "posix.h"
#include "util.h"

// constants

static const bool UseDebug = false;

// functions

uint32 tick=0;

/**
 * Count a second up
 */ 
void upTicks (){
	tick++;
}

// now_real()
uint32 ticks(){
	return tick;
/*	return IPC->rtc_day * 3600 * 24 + IPC->rtc_hours * 3600 + IPC->rtc_minutes * 60
			+ IPC->rtc_seconds;*/
}

uint32 now_real() {
	return ticks();
}

// now_cpu()
uint32 now_cpu() {
	static uint32 starttime = ticks();
	return ticks() - starttime;
}

/*double now_cpu() {
	static unsigned long starttime = ticks();
	return (double)(ticks() - starttime);
}*/

// end of posix.cpp

